<?xml version="1.0" encoding="UTF-8"?>
<generator_policy>
   <generator name="project_id" type="any">
      <pattern>Identifier of Anthologia Palatina project item {type} {id}</pattern>
   </generator>
   <generator name="project_unique_id" type="any">
      <pattern>Unique Identifier of Anthologia Palatina project item {type} {id}</pattern>
   </generator>
   <generator name="project_id_named_ent" type="any">
      <pattern>Identifier of Anthologia Palatina project item {id}</pattern>
   </generator>
   <generator name="project_unique_id_named_ent" type="any">
      <pattern>Unique Identifier of Anthologia Palatina project item {id}</pattern>
   </generator>
   <generator name="book_number_id" type="any">
      <pattern>Anthologia Palatina book number of Anthologia Palatina book {id}</pattern>
   </generator>
   <generator name="project_unique_id_scholium_text" type="any">
      <pattern>Unique Identifier of Anthologia Palatina project text of scholium {title}</pattern>
   </generator>
   <generator name="scholium_number_id" type="any">
      <pattern>Anthologia Palatina scholium number of scholium {id}</pattern>
   </generator>
   <generator name="book_label" type="any">
      <pattern>Anthologia Palatina book {book_number}</pattern>
   </generator>
   <generator name="project_tlg_id" type="any">
      <pattern>TLG author identifier of {id}</pattern>
   </generator>
   <generator name="birth_event_label" type="any">
      <pattern>Birth event of {id}</pattern>
   </generator>
   <generator name="death_event_label" type="any">
      <pattern>Death event of {id}</pattern>
   </generator>
   <generator name="ext_reference_title_label" type="any">
      <pattern>Title of external reference {id}</pattern>
   </generator>
   <generator name="work_title" type="any">
      <pattern>Title of {id}</pattern>
   </generator>
   <generator name="scholium_label" type="any">
      <pattern>Anthologia Palatina scholium {title}</pattern>
   </generator>
   <generator name="passage_label" type="any">
      <pattern>Anthologia Palatina passage {title}</pattern>
   </generator>
   <generator name="text_label" type="any">
      <pattern>Anthologia Palatina text of scholium {id}</pattern>
   </generator>
   <generator name="edition_text_label" type="any">
      <pattern>Anthologia Palatina text of edition {id}</pattern>
   </generator>
   <generator name="scholium_text_label" type="any">
      <pattern>Anthologia Palatina text of scholium {id}</pattern>
   </generator>
   <generator name="passage_text_label" type="any">
      <pattern>Anthologia Palatina text of passage {id}</pattern>
   </generator>
   <generator name="comment_label" type="any">
      <pattern>Anthologia Palatina comment on {type} {id}</pattern>
   </generator>
   <generator name="description_label" type="any">
      <pattern>Anthologia Palatina description of {type} identifier {id}</pattern>
   </generator>
   <generator name="project_passage_author_id" type="any">
      <pattern>Anthologia Palatina passage {passage_id} conception by {author_name}</pattern>
   </generator>
   <generator name="project_passage_fragment_label" type="any">
      <pattern>Anthologia Palatina passage fragment {fragment_id} of passage {passage_id}</pattern>
   </generator>
   <generator name="project_passage_subfragment_label" type="any">
      <pattern>Anthologia Palatina passage subfragment {subfragment_id} of passage {passage_id}, fragment {fragment_id}</pattern>
   </generator>
   <generator name="passage_creation_event_label" type="any">
      <pattern>Anthologia Palatina creation event of passage {passage_id} by {author_name}</pattern>
   </generator>
   <generator name="manuscript_credit_label" type="any">
      <pattern>Anthologia Palatina credit line of manuscript {id}</pattern>
   </generator>
   <generator name="type_label" type="any">
      <pattern>Type {type}</pattern>
   </generator>
   <generator name="urn_label" type="any">
      <pattern>Anthologia Palatina URN {id}</pattern>
   </generator>
   <generator name="lat_long_value" type="any">
      <pattern>{latitute}, {longitude}</pattern>
   </generator>
   <generator name="lat_long_label" type="any">
      <pattern>Latitude and longitude of city {id}</pattern>
   </generator>
   <generator name="urn_creation_label" type="any">
      <pattern>Anthologia Palatina creation event of URN identifier {id}</pattern>
   </generator>
   <generator name="urn_creation_actor_label" type="any">
      <pattern>Actor that carried out the creation of URN identifier {id}</pattern>
   </generator>
   <generator name="manuscript_url_label" type="any">
      <pattern>Image of manuscript {title}</pattern>
   </generator>
   <generator name="manuscript_title_label" type="any">
      <pattern>Title of manuscript {title}</pattern>
   </generator>
   <generator name="iso_code_label" type="any">
      <pattern>ISO code of language {id}</pattern>
   </generator>
   <generator name="iso_name_label" type="any">
      <pattern>ISO name of language {id}</pattern>
   </generator>
   <generator name="name_label" type="any">
      <pattern>Name of {id}</pattern>
   </generator>
   <generator name="ConcatMultipleTerms" type="any">
      <custom generatorClass="gr.forth.ConcatMultipleTerms">
         <set-arg name="prefix" type="constant"/>
         <set-arg name="sameTermsDelim" type="constant"/>
         <set-arg name="diffTermsDelim" type="constant"/>
         <set-arg name="text1"/>
         <set-arg name="text2"/>
      </custom>
   </generator>
   <generator name="ConcatThreeTerms" type="any">
      <custom generatorClass="gr.forth.ConcatMultipleTerms">
         <set-arg name="prefix" type="constant"/>
         <set-arg name="sameTermsDelim" type="constant"/>
         <set-arg name="diffTermsDelim" type="constant"/>
         <set-arg name="text1" type="constant"/>
         <set-arg name="text2" type="constant"/>
         <set-arg name="text3" type="constant"/>
      </custom>
   </generator>
   <generator name="ConcatFourTerms" type="any">
      <custom generatorClass="gr.forth.ConcatMultipleTerms">
         <set-arg name="prefix" type="constant"/>
         <set-arg name="sameTermsDelim" type="constant"/>
         <set-arg name="diffTermsDelim" type="constant"/>
         <set-arg name="text1" type="constant"/>
         <set-arg name="text2" type="constant"/>
         <set-arg name="text3" type="constant"/>
         <set-arg name="text4" type="constant"/>
      </custom>
   </generator>
   <generator name="ConcatFiveTerms" type="any">
      <custom generatorClass="gr.forth.ConcatMultipleTerms">
         <set-arg name="prefix" type="constant"/>
         <set-arg name="sameTermsDelim" type="constant"/>
         <set-arg name="diffTermsDelim" type="constant"/>
         <set-arg name="text1" type="constant"/>
         <set-arg name="text2" type="constant"/>
         <set-arg name="text3" type="constant"/>
         <set-arg name="text4" type="constant"/>
         <set-arg name="text5" type="constant"/>
      </custom>
   </generator>
   <generator name="ConcatSixTerms" type="any">
      <custom generatorClass="gr.forth.ConcatMultipleTerms">
         <set-arg name="prefix" type="constant"/>
         <set-arg name="sameTermsDelim" type="constant"/>
         <set-arg name="diffTermsDelim" type="constant"/>
         <set-arg name="text1" type="constant"/>
         <set-arg name="text2" type="constant"/>
         <set-arg name="text3" type="constant"/>
         <set-arg name="text4" type="constant"/>
         <set-arg name="text5" type="constant"/>
         <set-arg name="text6" type="constant"/>
      </custom>
   </generator>
   <generator name="DateNormalizer" type="any">
      <custom generatorClass="gr.forth.DateNormalizer">
         <set-arg name="bound" type="constant"/>
         <set-arg name="report" type="constant"/>
         <set-arg name="text"/>
      </custom>
   </generator>
   <generator name="UriExistingOrNew" prefix="temp_lincs_temp" type="any">
      <custom generatorClass="gr.forth.UriExistingOrNew">
         <set-arg name="uri" type="xpath"/>
         <set-arg name="text1"/>
         <set-arg name="uri_separator1" type="constant"/>
         <set-arg name="text2"/>
         <set-arg name="uri_separator2" type="constant"/>
      </custom>
   </generator>
   <generator name="URIorUUID" prefix="temp_lincs_temp" type="any">
      <custom generatorClass="gr.forth.URIorUUID">
         <set-arg name="text"/>
      </custom>
   </generator>
   <generator name="URNfromTextualContent" prefix="temp_lincs_temp" type="any">
      <custom generatorClass="gr.forth.TextualContent">
         <set-arg name="text" type="xpath"/>
      </custom>
   </generator>
   <generator name="Constant" type="label" uuid="no">
      <custom generatorClass="Constant">
         <set-arg name="text" type="constant"/>
      </custom>
   </generator>
   <generator name="transcript_passage_text_label" type="any">
      <pattern>Transcription of Anthologia Palatina text of passage {id}</pattern>
   </generator>
   <generator name="transcript_scholium_text_label" type="any">
      <pattern>Transcription of Anthologia Palatina text of scholium {id}</pattern>
   </generator>
   <generator name="transcript_edition_text_label" type="any">
      <pattern>Transcription of Anthologia Palatina text of edition {id}</pattern>
   </generator>
   <generator name="project_passage_production" type="any">
      <pattern>Anthologia Palatina passage {passage_id} production</pattern>
   </generator>
   <generator name="passage_url_label" type="any">
      <pattern>Image of passage {title}</pattern>
   </generator>
</generator_policy>
